Package io.strimzi.systemtest.resources.crd

## Class KafkaConnectorResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaConnectorResource

-     public class KafkaConnectorResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_KAFKA_CONNECTOR_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaConnectorResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaConnector` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnector kafkaConnector)` |
    `static io.strimzi.api.kafka.model.KafkaConnectorBuilder` | `defaultKafkaConnector​(io.strimzi.api.kafka.model.KafkaConnector kafkaConnector, String name, String kafkaConnectClusterName, int maxTasks)` |
    `static void` | `deleteKafkaConnectorWithoutWait​(String connectorName)` |
    `static io.strimzi.api.kafka.model.KafkaConnectorBuilder` | `kafkaConnector​(String name)` |
    `static io.strimzi.api.kafka.model.KafkaConnectorBuilder` | `kafkaConnector​(String name, String clusterName)` |
    `static io.strimzi.api.kafka.model.KafkaConnectorBuilder` | `kafkaConnector​(String name, String clusterName, int maxTasks)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaConnector,​io.strimzi.api.kafka.KafkaConnectorList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaConnector>>` | `kafkaConnectorClient()` |
    `static io.strimzi.api.kafka.model.KafkaConnector` | `kafkaConnectorWithoutWait​(io.strimzi.api.kafka.model.KafkaConnector kafkaConnector)` |
    `static void` | `replaceKafkaConnectorResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaConnector> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_KAFKA_CONNECTOR_CONFIG

          public static final String PATH_TO_KAFKA_CONNECTOR_CONFIG

  - ### Constructor Detail

    - #### KafkaConnectorResource

          public KafkaConnectorResource()

  - ### Method Detail

    - #### kafkaConnectorClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaConnector,​io.strimzi.api.kafka.KafkaConnectorList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaConnector>> kafkaConnectorClient()

    - #### kafkaConnector

          public static io.strimzi.api.kafka.model.KafkaConnectorBuilder kafkaConnector​(String name)

    - #### kafkaConnector

          public static io.strimzi.api.kafka.model.KafkaConnectorBuilder kafkaConnector​(String name,
                                                                                        String clusterName)

    - #### kafkaConnector

          public static io.strimzi.api.kafka.model.KafkaConnectorBuilder kafkaConnector​(String name,
                                                                                        String clusterName,
                                                                                        int maxTasks)

    - #### defaultKafkaConnector

          public static io.strimzi.api.kafka.model.KafkaConnectorBuilder defaultKafkaConnector​(io.strimzi.api.kafka.model.KafkaConnector kafkaConnector,
                                                                                               String name,
                                                                                               String kafkaConnectClusterName,
                                                                                               int maxTasks)

    - #### kafkaConnectorWithoutWait

          public static io.strimzi.api.kafka.model.KafkaConnector kafkaConnectorWithoutWait​(io.strimzi.api.kafka.model.KafkaConnector kafkaConnector)

    - #### deleteKafkaConnectorWithoutWait

          public static void deleteKafkaConnectorWithoutWait​(String connectorName)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaConnector createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaConnector kafkaConnector)

    - #### replaceKafkaConnectorResource

          public static void replaceKafkaConnectorResource​(String resourceName,
                                                           Consumer<io.strimzi.api.kafka.model.KafkaConnector> editor)